Bug 147554 - Web Inspector: Don't show 'Reveal In Debugger Tab' menu item if already in Debugger tab
Summary: Web Inspector: Don't show 'Reveal In Debugger Tab' menu item if already in De...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Matt Baker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-02 22:55 PDT by Matt Baker
Modified: 2015-08-04 15:47 PDT (History)
8 users (show)

See Also:


Attachments
[Patch] Proposed Fix (2.41 KB, patch)
2015-08-03 05:20 PDT, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Baker 2015-08-02 22:55:00 PDT
* SUMMARY
Don't show 'Reveal In Debugger Tab' menu item if already in Debugger tab. It should only appear when right-clicking breakpoints in the Resources tab.

* STEPS TO REPRODUCE
1. Set a breakpoint
2. Right-click breakpoint from Debugger tab
3. Click Reveal In Debugger tab
  => The breakpoint line is reselected. Not necessary.
Comment 1 Matt Baker 2015-08-03 05:20:59 PDT
Created attachment 258056 [details]
[Patch] Proposed Fix
Comment 2 WebKit Commit Bot 2015-08-04 15:46:58 PDT
Comment on attachment 258056 [details]
[Patch] Proposed Fix

Clearing flags on attachment: 258056

Committed r187900: <http://trac.webkit.org/changeset/187900>
Comment 3 WebKit Commit Bot 2015-08-04 15:47:01 PDT
All reviewed patches have been landed.  Closing bug.